%define		kdeplasmaver	5.22.5
%define		qtver		5.9.0
%define		kpname		kinfocenter
Summary:	kinfocenter
Name:		kp5-%{kpname}
Version:	5.22.5
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	d644f32a70d3daf4b409efe26cf09c08
URL:		http://www.kde.org/
BuildRequires:	OpenGL-devel
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5X11Extras-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-kcmutils-devel
BuildRequires:	kf5-kdeclarative-devel
BuildRequires:	kf5-kdelibs4support-devel
BuildRequires:	kf5-kdoctools-devel
BuildRequires:	kf5-khtml-devel
BuildRequires:	ninja
BuildRequires:	pciutils-devel
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A utility that provides information about a computer system.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build
rm -rf $RPM_BUILD_ROOT%{_kdedocdir}/{sr,sr@latin}

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kinfocenter
/etc/xdg/menus/kinfocenter.menu
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_about_distro.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_devinfo.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_info.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_memory.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_opengl.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_pci.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_usb.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_view1394.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcms/kcm_energyinfo.so
%{_desktopdir}/org.kde.kinfocenter.desktop
%{_datadir}/desktop-directories/kinfocenter.directory
%dir %{_datadir}/kpackage/kcms/kcm_energyinfo
%dir %{_datadir}/kpackage/kcms/kcm_energyinfo/contents
%dir %{_datadir}/kpackage/kcms/kcm_energyinfo/contents/ui
%{_datadir}/kpackage/kcms/kcm_energyinfo/contents/ui/Graph.qml
%{_datadir}/kpackage/kcms/kcm_energyinfo/contents/ui/main.qml
%{_datadir}/kpackage/kcms/kcm_energyinfo/metadata.desktop
%{_datadir}/kservices5/about-distro.desktop
%{_datadir}/kservices5/deviceinfocategory.desktop
%{_datadir}/kservices5/devinfo.desktop
%{_datadir}/kservices5/dma.desktop
%{_datadir}/kservices5/graphicalinfocategory.desktop
%{_datadir}/kservices5/interrupts.desktop
%{_datadir}/kservices5/ioports.desktop
%{_datadir}/kservices5/kcm_energyinfo.desktop
%{_datadir}/kservices5/kcm_memory.desktop
%{_datadir}/kservices5/kcm_pci.desktop
%{_datadir}/kservices5/kcmusb.desktop
%{_datadir}/kservices5/kcmview1394.desktop
%{_datadir}/kservices5/lostfoundcategory.desktop
%{_datadir}/kservices5/networkinfocategory.desktop
%{_datadir}/kservices5/opengl.desktop
%{_datadir}/kservices5/smbstatus.desktop
%{_datadir}/kservices5/wayland.desktop
%{_datadir}/kservices5/xserver.desktop
%{_datadir}/kservicetypes5/kinfocentercategory.desktop
%{_datadir}/kpackage/kcms/kcm_energyinfo/metadata.json
%{_datadir}/metainfo/org.kde.kinfocenter.appdata.xml

%attr(755,root,root) %{_libdir}/qt5/plugins/kcms/kcm_nic.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcms/kcm_samba.so
%dir %{_datadir}/kpackage/kcms/kcm_nic
%dir %{_datadir}/kpackage/kcms/kcm_nic/contents
%dir %{_datadir}/kpackage/kcms/kcm_nic/contents/ui
%{_datadir}/kpackage/kcms/kcm_nic/contents/ui/main.qml
%{_datadir}/kpackage/kcms/kcm_nic/metadata.desktop
%{_datadir}/kpackage/kcms/kcm_nic/metadata.json
%dir %{_datadir}/kpackage/kcms/kcmsamba
%dir %{_datadir}/kpackage/kcms/kcmsamba/contents
%{_datadir}/kpackage/kcms/kcmsamba/contents/ShareListItem.qml
%{_datadir}/kpackage/kcms/kcmsamba/contents/main.qml
%{_datadir}/kpackage/kcms/kcmsamba/metadata.desktop
%{_datadir}/kpackage/kcms/kcmsamba/metadata.json
%{_datadir}/kservices5/basicinformation.desktop
%{_datadir}/kservices5/detailedinformation.desktop
%{_datadir}/kservices5/kcm_nic.desktop
%changelog
* Wed Sep 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kinfocenter.git;a=log;h=master

* Fri Sep 03 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d2ac019
- updated to 5.22.5

* Tue Jul 27 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 365750d
- updated to 5.22.4

* Wed Jul 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 9caa15e
- updated to 5.22.3

* Wed Jun 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> de24209
- updated to 5.22.2.1

* Wed Jun 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0f6cd77
- updated to 5.22.1

* Wed Jun 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d6e74f6
- updated to 5.22.0

* Fri May 14 2021 Jan Rękorajski <baggins@pld-linux.org> 4890c0f
- Release 2 (by relup.sh)

* Fri May 14 2021 Jan Rękorajski <baggins@pld-linux.org> 2e3a7b7
- updated BRs

* Wed May 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 07adce8
- updated to 5.21.5

* Fri Apr 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a7dd230
- updated to 5.21.4

* Tue Mar 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 86acded
- update to 5.21.3

* Sun Mar 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 7a8e16a
- update to 5.21.2

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 62ccaaa
- updated to 5.15.3

* Fri Jan 11 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 5425c5c
- updated to 5.14.5

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 1991e34
- updated to 5.14.4

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 6c709bb
- updated to 5.11.2

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> ee6a34f
- new

